%global momorel 1

Summary: GnuPG Made Easy (GPGME)
Name: gpgme
Version: 0.3.16
Release: %{momorel}m
URL: http://www.gnupg.org/related_software/gpgme/
%NoSource 0 ftp://ftp.gnupg.org/gcrypt/gpgme/%{name}-%{version}.tar.gz 0476b219695ea25cb2a97b18b717e381
License: GPL
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prefix: %{_prefix}
Requires: gnupg >= 1.0.7
BuildRequires: glibc >= 2.2, gcc, libtool >= 1.4

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

%package devel
Summary: GnuPG Made Easy (GPGME) Header files and libraries for development
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: info

%description devel
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications.

Install the gpgme-devel package if you want to develop applications 
that will use the gpgme library.

%prep
%setup -q

%build
%configure --with-gpgsm=%{_bindir}/gpgsm
%make

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# remove
rm -f %{buildroot}%{_infodir}/dir

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post devel
if [ "$1" = 1 ]; then
 /sbin/install-info %{_infodir}/gpgme.info %{_infodir}/dir
fi

%preun devel
if [ "$1" = 0 ]; then
 /sbin/install-info --delete gpgme %{_infodir}/dir
fi


%files
%defattr(-,root,root)
%doc README ChangeLog NEWS AUTHORS COPYING THANKS
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%doc README TODO INSTALL ChangeLog NEWS AUTHORS COPYING THANKS tests/
%{_bindir}/gpgme-config
%{_includedir}/*.h
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_datadir}/aclocal/*
%{_infodir}/gpgme*

%changelog
* Fri May 07 2004 TAKAHASHI Tamotsu <tamo>
- (0.3.16-1m)

* Sat Mar 20 2004 Toru Hoshina <t@momonga-linux.org>
- (0.3.15-3m)
- revised spec for enabling rpm 4.2.

* Mon Nov 03 2003 TAKAHASHI Tamotsu <tamo>
- (0.3.15-2m)
- delete "Requires: newpg"
  leave "configure --with-gpgsm"
- global momorel (instead of "define")
- install-info gpgme.info (instead of "gpgme.info.*")
- use NoSource macro

* Wed Feb 19 2003 TAKAHASHI Tamotsu <tamo>
- (0.3.15-1m)
- bugfix: gpgsm assertion failure

* Thu Dec 05 2002 TAKAHASHI Tamotsu <ttakah@lapis.plala.or.jp>
- (0.3.14-1m)
- "This version fixes a segv and a race condition with locales.
  gpgmeplug is not anymore included but diverted to a separate
  package named cryptplug." -- Werner
- on Dec 6th, i changed URL (not Source) but didn't change Release

* Mon Dec 02 2002 TAKAHASHI Tamotsu <ttakah@lapis.plala.or.jp>
- (0.3.13-1m)
- bugfix
- source URI changed (alpha/gpgme -> gpgme)

* Fri Oct 25 2002 TAKAHASHI Tamotsu <ttakah@lapis.plala.or.jp>
- (0.3.12-1m)
- bugfix (keylisting)
- docs added to non-devel pkgs
- info added

* Sat Oct 05 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (0.3.11-1m)

* Wed Sep 04 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (0.3.10-1m)

* Wed Aug 21 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (0.3.9-1m)

* Thu Jul 04 2002 TAKAHASHI Tamotsu <arms405@jade.dti.ne.jp>
- (0.3.8-1m)
- updated
- enabled gpgsm(in newpg pkg)

* Tue May  7 2002 WATABE Toyokazu <toy2@kondara.org>
- (0.3.6-2k)
- update to 0.3.6

* Sat Mar 23 2002 Toru Hoshina <t@kondara.org>
- (0.2.3-4k)
- va_list on alpha...

* Sat Mar  9 2002 Shingo Akagaki <dora@kondara.org>
- (0.2.3-2k)
- merge from Jirai

* Tue Oct 09 2001 Motonobu Ihimura <famao@kondara.org>
- (0.2.3-3k)
- first release

